Bug 1593860 - installing any of context packages downgrades other textlive components
Summary: installing any of context packages downgrades other textlive components
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-base
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-21 17:15 UTC by Philippe Troin
Modified: 2018-08-07 01:14 UTC (History)
1 user (show)

Fixed In Version: texlive-base-20170520-41.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 01:14:20 UTC


Attachments (Terms of Use)

Description Philippe Troin 2018-06-21 17:15:03 UTC
Description of problem:
Installing any of the context doc packages from texlive-2016-47.20160520.fc28.src packages causes downgrading other texlive components.

Version-Release number of selected component (if applicable):
texlive-context-account-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-animation-doc-6:svn36188.0-47.fc28.2.noarch
texlive-context-annotation-doc-6:svn36188.0-47.fc28.2.noarch
texlive-context-bnf-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-chromato-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-construction-plan-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-cyrillicnumbers-doc-6:svn29905.0-47.fc28.2.noarch
texlive-context-degrade-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-fancybreak-doc-6:svn36948.0-47.fc28.2.noarch
texlive-context-filter-doc-6:svn36285.0-47.fc28.2.noarch
texlive-context-french-doc-6:svn24582.0-47.fc28.2.noarch
texlive-context-fullpage-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-games-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-gantt-doc-6:svn27472.0-47.fc28.2.noarch
texlive-context-gnuplot-doc-6:svn30380.0-47.fc28.2.noarch
texlive-context-letter-doc-6:svn38202.0-47.fc28.2.noarch
texlive-context-lettrine-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-lilypond-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-mathsets-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-notes-zh-cn-doc-6:svn23171.0-47.fc28.2.noarch
texlive-context-rst-doc-6:svn33092.0.6c-47.fc28.2.noarch
texlive-context-ruby-doc-6:svn28434.0-47.fc28.2.noarch
texlive-context-simplefonts-doc-6:svn29229.0-47.fc28.2.noarch
texlive-context-simpleslides-doc-6:svn34438.0-47.fc28.2.noarch
texlive-context-title-doc-6:svn36189.0-47.fc28.2.noarch
texlive-context-transliterator-doc-6:svn29801.0-47.fc28.2.noarch
texlive-context-typearea-doc-6:svn23167.0-47.fc28.2.noarch
texlive-context-typescripts-doc-6:svn25411.0-47.fc28.2.noarch
texlive-context-vim-doc-6:svn37413.0-47.fc28.2.noarch
texlive-context-visualcounter-doc-6:svn36190.0-47.fc28.2.noarch

How reproducible:
Always

Steps to Reproduce:
1. # dnf install texlive-context-vim-doc
Last metadata expiration check: 0:28:25 ago on Thu Jun 21 09:45:30 2018.
Dependencies resolved.
================================================================================
 Package                    Arch   Version                        Repository
                                                                           Size
================================================================================
Installing:
 texlive-context-vim-doc    noarch 6:svn37413.0-47.fc28.2         updates  42 k
Installing dependencies:
 texlive-context-bin        noarch 6:svn34112.0-42.20160520.fc28  fedora   36 k
 texlive-context-doc        noarch 6:svn41282-42.fc28.2           fedora   17 M
 texlive-context-filter-doc noarch 6:svn36285.0-47.fc28.2         updates  45 k
 texlive-kpathsea-bin       i686   6:svn40473-42.20160520.fc28    fedora   61 k
 texlive-kpathsea-doc       noarch 6:svn41139-42.fc28.2           fedora  946 k
 texlive-luatex-bin         i686   6:svn41091-42.20160520.fc28    fedora  3.5 M
 texlive-luatex-doc         noarch 6:svn40963-42.fc28.2           fedora  1.1 M
 texlive-metafont-bin       i686   6:svn40987-42.20160520.fc28    fedora  219 k
 texlive-metapost-bin       i686   6:svn40473-42.20160520.fc28    fedora  376 k
 texlive-metapost-doc       noarch 6:svn40768-42.fc28.2           fedora   27 M
 texlive-mptopdf-bin        noarch 6:svn18674.0-42.20160520.fc28  fedora   35 k
 texlive-mptopdf-doc        noarch 6:svn41282-42.fc28.2           fedora   35 k
 texlive-pdftex-bin         i686   6:svn40987-42.20160520.fc28    fedora  418 k
 texlive-pdftex-doc         noarch 6:svn41149-42.fc28.2           fedora  1.5 M
 texlive-xetex-bin          i686   6:svn41091-42.20160520.fc28    fedora  678 k
 texlive-xetex-doc          noarch 6:svn41438-42.fc28.2           fedora  2.1 M
Downgrading:
 texlive-context            noarch 6:svn41282-42.fc28.2           fedora  8.6 M
 texlive-kpathsea           noarch 6:svn41139-42.fc28.2           fedora  162 k
 texlive-luatex             noarch 6:svn40963-42.fc28.2           fedora   56 k
 texlive-metafont           noarch 6:svn40793-42.fc28.2           fedora  137 k
 texlive-metapost           noarch 6:svn40768-42.fc28.2           fedora  764 k
 texlive-mptopdf            noarch 6:svn41282-42.fc28.2           fedora   76 k
 texlive-pdftex             noarch 6:svn41149-42.fc28.2           fedora   76 k
 texlive-xetex              noarch 6:svn41438-42.fc28.2           fedora  385 k

Transaction Summary
================================================================================
Install    17 Packages
Downgrade   8 Packages

Total download size: 65 M
Is this ok [y/N]: 

Actual results:
Texlive components are downgraded.

Expected results:
No component should be downgraded.

Additional info:

Comment 1 Fedora Update System 2018-07-03 16:10:36 UTC
texlive-base-20170520-39.fc28 texlive-2016-49.20160520.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 2 Fedora Update System 2018-07-04 18:20:52 UTC
texlive-2016-49.20160520.fc28, texlive-base-20170520-39.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 3 Fedora Update System 2018-07-08 12:45:19 UTC
texlive-2016-50.20160520.fc28 texlive-base-20170520-40.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 4 Fedora Update System 2018-07-08 21:21:45 UTC
texlive-2016-50.20160520.fc28, texlive-base-20170520-40.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 5 Fedora Update System 2018-07-23 14:05:35 UTC
texlive-2016-51.20160520.fc28 texlive-base-20170520-41.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 6 Fedora Update System 2018-07-23 22:21:19 UTC
texlive-2016-51.20160520.fc28, texlive-base-20170520-41.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a432edcc8

Comment 7 Fedora Update System 2018-08-07 01:14:20 UTC
texlive-2016-51.20160520.fc28, texlive-base-20170520-41.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.